Package org.kapott.hbci.tools

## Class ParameterFinder.Query

- java.lang.Object
- - org.kapott.hbci.tools.ParameterFinder.Query

Enclosing class:
  ParameterFinder

    public static class ParameterFinder.Query
    extends java.lang.Object

Liste bekannter Queries.

### Field Summary

Fields
`static ParameterFinder.Query` `BPD_PINTAN_CAN1STEP` Informationen zur Verfuegbarkeit von Einschritt-Verfahren in den BPD.
`static ParameterFinder.Query` `BPD_PINTAN_ORDERHASHMODE` Information ueber den Order-Hashmode.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getQuery()` Liefert das Query.
`ParameterFinder.Query` `withParameters​(java.lang.Object... parameters)` Liefert eine neue Instanz des Querys mit gesetzten Parametern.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BPD_PINTAN_CAN1STEP

    public static final ParameterFinder.Query BPD_PINTAN_CAN1STEP

Informationen zur Verfuegbarkeit von Einschritt-Verfahren in den BPD.

#### BPD_PINTAN_ORDERHASHMODE

    public static final ParameterFinder.Query BPD_PINTAN_ORDERHASHMODE

Information ueber den Order-Hashmode. Ist ein Query, welches einen Parameter benoetigt.

### Method Detail

#### withParameters

    public final ParameterFinder.Query withParameters​(java.lang.Object... parameters)

Liefert eine neue Instanz des Querys mit gesetzten Parametern.

Parameters:
  `parameters` - die Parameter.
Returns:
  das neue Query.

#### getQuery

    public java.lang.String getQuery()

Liefert das Query.

Returns:
  das Query.